DELETE /api-keys/
指定した API キーを恒久的に失効させ削除します。失効後は認証に使用できません。現在のリクエストに使用している API キーは失効できません。
パスパラメーター
string
必須
失効させる API キーの ID。
レスポンス
boolean
失効が成功したかどうか。
string
ステータスメッセージ。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X DELETE https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456',
{
method: 'DELETE',
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
{
"success": true,
"message": "API key revoked successfully"
}
{
"message": "Cannot revoke the API key currently being used"
}
{
"message": "API key not found"
}
{
"message": "Access denied to this API key"
}
API キーを無効化(削除)するエンドポイントです。
curl -X DELETE https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456',
{
method: 'DELETE',
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
{
"success": true,
"message": "API key revoked successfully"
}
{
"message": "Cannot revoke the API key currently being used"
}
{
"message": "API key not found"
}
{
"message": "Access denied to this API key"
}
curl -X DELETE https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456 \
-H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch(
'https://api.llmgenerator.com/api/v1/api-keys/llm_1706123456_abc123def456',
{
method: 'DELETE',
headers: { 'Authorization': 'Bearer YOUR_API_KEY' }
}
);
{
"success": true,
"message": "API key revoked successfully"
}
{
"message": "Cannot revoke the API key currently being used"
}
{
"message": "API key not found"
}
{
"message": "Access denied to this API key"
}
このページは役に立ちましたか?